## haproxy 3.2.8

=== admin/systemd/Makefile ===
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin

haproxy.service: haproxy.service.in
	sed -e 's:@SBINDIR@:'$(strip $(SBINDIR))':' $< > $@

clean:
	rm -f haproxy.service

=== addons/deviceatlas/dummy/Makefile ===
# makefile for dummy DeviceAtlas library
#
# To enable the DeviceAtlas module support, the following are needed
# make TARGET=<target> DEVICEATLAS_SRC=addons/deviceatlas/dummy USE_DEVICEATLAS=1

build: libda.a

libda.a: dac.o
	ar rv $@ $<

clean:
	rm -rf *.a *.o

=== debian/changelog ===
haproxy (3.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 09 Nov 2025 21:31:19 +0100

=== debian/control ===
Source: haproxy
Section: net
Priority: optional
Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
           Prach Pongpanich <prach@debian.org>,
           Vincent Bernat <bernat@debian.org>
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12),
               libpcre2-dev,
               libssl-dev (>= 3.5.1),
               libcrypt-dev,
               liblua5.4-dev,
               libsystemd-dev [linux-any],
               libjemalloc-dev,
               python3-sphinx:native,
               libopentracing-c-wrapper-dev,
               pkgconf,
               systemd-dev [linux-any]
Build-Depends-Indep: python3, python3-mako
Homepage: http://www.haproxy.org/
Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git
Vcs-Browser: https://salsa.debian.org/haproxy-team/haproxy

Package: haproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
Pre-Depends: ${misc:Pre-Depends}
Suggests: vim-haproxy, haproxy-doc
Description: fast and reliable load balancing reverse proxy
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.

Package: haproxy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-bootstrap (<< 4), libjs-jquery,
 ${sphinxdoc:Depends}
Description: fast and reliable load balancing reverse proxy (HTML documentation)
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.
 .
 This package contains the HTML documentation for haproxy.

Package: vim-haproxy
Architecture: all
Depends: ${misc:Depends}
Recommends: vim-addon-manager
Description: syntax highlighting for HAProxy configuration files
 The vim-haproxy package provides filetype detection and syntax highlighting
 for HAProxy configuration files.
 .
 As per the Debian vim policy, installed addons are not activated
 automatically, but the "vim-addon-manager" tool can be used for this purpose.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MAKEARGS=V=1 \
	 CC='$(CC)' \
	 PKG_CONFIG='$(PKG_CONFIG)' \
	 DESTDIR=debian/haproxy \
	 PREFIX=/usr \
	 IGNOREGIT=true \
	 MANDIR=/usr/share/man \
	 DOCDIR=/usr/share/doc/haproxy \
	 USE_PCRE2=1 \
	 USE_PCRE2_JIT=1 \
	 USE_OPENSSL=1 \
	 USE_QUIC=1 \
	 USE_SLZ=1 \
	 USE_LUA=1 \
	 USE_PROMEX=1 \
	 USE_OT=1 \
	 LUA_INC=/usr/include/lua5.4 \
	 EXTRA=admin/halog/halog

ifeq ($(DEB_HOST_ARCH_OS),linux)
        MAKEARGS+= TARGET=linux-glibc USE_SYSTEMD=1
        deb_systemdsystemunitdir=$(shell pkg-config --variable=systemdsystemunitdir systemd)
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
        MAKEARGS+= TARGET=freebsd
else
	MAKEARGS+= TARGET=generic
endif

MAKEARGS += ADDLIB="-Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
MAKEARGS += CFLAGS="$(CFLAGS) $(CPPFLAGS)"
MAKEARGS += LDFLAGS="$(LDFLAGS)"
MAKEARGS += VERSION="$(DEB_VERSION_UPSTREAM)"
MAKEARGS += SUBVERS="-$(lastword $(subst -, ,$(DEB_VERSION)))"
MAKEARGS += VERDATE="$(shell TZ=UTC date -d "@$(SOURCE_DATE_EPOCH)" "+%Y/%m/%d")"

%:
	dh $@ --with sphinxdoc

override_dh_auto_configure:

override_dh_auto_build-arch:
	make $(MAKEARGS)
	make -C admin/systemd $(MAKEARGS)
	$(MAKE) -C doc/lua-api man

override_dh_auto_build-indep:
	# Build the HTML documentation, after patching dconv
	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
	python3 -B $(CURDIR)/debian/dconv/dconv.py \
			-o $(CURDIR)/doc \
		    $(CURDIR)/doc/intro.txt $(CURDIR)/doc/configuration.txt $(CURDIR)/doc/management.txt
	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
	$(MAKE) -C doc/lua-api html

override_dh_auto_clean:
	make -C admin/systemd clean
	$(MAKE) -C doc/lua-api clean
	dh_auto_clean

override_dh_auto_install-arch:
	make $(MAKEARGS) install
	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy
ifneq ($(deb_systemdsystemunitdir),)
	install -m 0644 -D admin/systemd/haproxy.service debian/haproxy$(deb_systemdsystemunitdir)/haproxy.service
endif

override_dh_auto_install-indep:

override_dh_installdocs:
	dh_installdocs -Xsystemd/ -Xhalog/

override_dh_installexamples:
	dh_installexamples -X build.cfg

override_dh_installinit:
	dh_installinit --no-restart-after-upgrade --no-stop-on-upgrade

override_dh_installsystemd:
	dh_installsystemd --no-restart-after-upgrade --no-stop-on-upgrade

override_dh_strip:
	dh_strip --dbgsym-migration="haproxy-dbg"

## haproxy 3.2.9

=== debian/changelog ===
haproxy (3.2.9-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2125994). Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe
  * Dropped changes:
    - SECURITY UPDATE: DoS via MJSON
      + d/p/CVE-2025-11230.patch: fix possible DoS when parsing numbers
        in src/mjson.c.
      + CVE-2025-11230
      [ Fixed in 3.2.6 ]

 -- Athos Ribeiro <athos@ubuntu.com>  Mon, 24 Nov 2025 17:49:17 -0300

haproxy (3.2.9-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 21 Nov 2025 22:10:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
@@ -14,7 +15,6 @@
                libsystemd-dev [linux-any],
                libjemalloc-dev,
                python3-sphinx:native,
-               libopentracing-c-wrapper-dev,
                pkgconf,
                systemd-dev [linux-any]
 Build-Depends-Indep: python3, python3-mako

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,6 @@
 	 USE_SLZ=1 \
 	 USE_LUA=1 \
 	 USE_PROMEX=1 \
-	 USE_OT=1 \
 	 LUA_INC=/usr/include/lua5.4 \
 	 EXTRA=admin/halog/halog

## haproxy 3.2.10

=== debian/changelog ===
haproxy (3.2.10-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 12:09:40 +0100

haproxy (3.2.10-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 11:53:17 +0100

haproxy (3.2.9-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 21 Nov 2025 22:35:19 +0100

haproxy (3.2.8-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 09 Nov 2025 21:41:19 +0100

haproxy (3.2.7-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 25 Oct 2025 14:41:16 +0200

haproxy (3.2.6-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Oct 2025 21:22:16 +0200

haproxy (3.2.5-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 26 Sep 2025 22:09:42 +0200

haproxy (3.2.4-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 14 Aug 2025 07:35:28 +0200

haproxy (3.2.3-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 13 Aug 2025 22:35:16 +0200

## haproxy 3.2.11

=== debian/changelog ===
haproxy (3.2.11-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Feb 2026 23:19:51 +0100

haproxy (3.2.11-2) unstable; urgency=medium

  * CVE-2026-26081: fix integer overflow in QUIC code
  * CVE-2026-26080: infinite loop in QUIC code

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Feb 2026 22:59:37 +0100

haproxy (3.2.11-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 31 Jan 2026 12:20:11 +0100

haproxy (3.2.11-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 30 Jan 2026 12:17:34 +0100

## haproxy 3.2.12

=== debian/changelog ===
haproxy (3.2.12-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Feb 2026 22:08:33 +0100

haproxy (3.2.12-1) unstable; urgency=high

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Feb 2026 04:34:13 +0100

## haproxy 3.2.13

=== debian/changelog ===
haproxy (3.2.13-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 Feb 2026 23:40:58 +0100

haproxy (3.2.13-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 Feb 2026 23:30:59 +0100

## haproxy 3.3.0

=== debian/changelog ===
haproxy (3.3.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 28 Nov 2025 23:16:17 +0100

haproxy (3.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 28 Nov 2025 22:53:24 +0100

## haproxy 3.3.1

=== debian/changelog ===
haproxy (3.3.1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 12:24:08 +0100

haproxy (3.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 12:20:06 +0100

## haproxy 3.3.2

=== debian/changelog ===
haproxy (3.3.2-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 30 Jan 2026 08:45:48 +0100

=== debian/watch ===
Version: 5
Source: https://www.haproxy.org/download/3.3/src/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## haproxy 3.3.3

=== debian/changelog ===
haproxy (3.3.3-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Feb 2026 23:52:59 +0100

haproxy (3.3.3-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Feb 2026 23:45:17 +0100

haproxy (3.3.2-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Feb 2026 23:30:28 +0100

haproxy (3.3.2-2) experimental; urgency=medium

  * CVE-2026-26081: fix integer overflow in QUIC code
  * CVE-2026-26080: infinite loop in QUIC code

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Feb 2026 23:27:24 +0100

haproxy (3.3.2-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 30 Jan 2026 09:17:08 +0100

## haproxy 3.3.4

=== Makefile ===
# This GNU Makefile supports different OS and CPU combinations.
#
# You should use it this way :
#   [g]make TARGET=os [CFLAGS=...] USE_xxx=1 ...
#
# When in doubt, invoke help, possibly with a known target :
#   [g]make help
#   [g]make help TARGET=linux-glibc
#
# By default the detailed commands are hidden for a cleaner output, but you may
# see them by appending "V=1" to the make command.
#
# Valid USE_* options are enumerated in the "use_opts" variable and are listed
# below. Most of them are automatically set by the TARGET, others have to be
# explicitly specified :
#   USE_EPOLL               : enable epoll() on Linux 2.6. Automatic.
#   USE_KQUEUE              : enable kqueue() on BSD. Automatic.
#   USE_EVPORTS             : enable event ports on SunOS systems. Automatic.
#   USE_NETFILTER           : enable netfilter on Linux. Automatic.
#   USE_PCRE                : enable use of libpcre for regex.
#   USE_PCRE_JIT            : enable JIT for faster regex on libpcre >= 8.32
#   USE_PCRE2               : enable use of libpcre2 for regex. Recommended.
#   USE_PCRE2_JIT           : enable JIT for faster regex on libpcre2
#   USE_POLL                : enable poll(). Automatic.
#   USE_THREAD              : enable threads support.
#   USE_STATIC_PCRE         : enable static libpcre.
#   USE_STATIC_PCRE2        : enable static libpcre2. Recommended.
#   USE_TPROXY              : enable transparent proxy. Automatic.
#   USE_LINUX_TPROXY        : enable full transparent proxy. Automatic.
#   USE_LINUX_SPLICE        : enable kernel 2.6 splicing. Automatic.
#   USE_LINUX_CAP           : enable Linux capabilities.
#   USE_LIBCRYPT            : enable encrypted passwords using -lcrypt
#   USE_CRYPT_H             : set it if your system requires including crypt.h
#   USE_GETADDRINFO         : use getaddrinfo() to resolve IPv6 host names.
#   USE_OPENSSL             : enable use of OpenSSL. Recommended, but see below.
#   USE_OPENSSL_AWSLC       : enable use of AWS-LC
#   USE_OPENSSL_WOLFSSL     : enable use of wolfSSL with the OpenSSL API
#   USE_ECH                 : enable use of ECH with the OpenSSL API
#   USE_QUIC                : enable use of QUIC with the quictls API (quictls, libressl, boringssl)
#   USE_QUIC_OPENSSL_COMPAT : enable use of QUIC with the standard openssl API (limited features)
#   USE_ENGINE              : enable use of OpenSSL Engine.
#   USE_LUA                 : enable Lua support.
#   USE_ACCEPT4             : enable use of accept4() on linux. Automatic.
#   USE_CLOSEFROM           : enable use of closefrom() on *bsd, solaris. Automatic.
#   USE_PRCTL               : enable use of prctl(). Automatic.
#   USE_PROCCTL             : enable use of procctl(). Automatic.
#   USE_ZLIB                : enable zlib library support and disable SLZ
#   USE_SLZ                 : enable slz library instead of zlib (default=enabled)
#   USE_CPU_AFFINITY        : enable pinning processes to CPU on Linux. Automatic.
#   USE_TFO                 : enable TCP fast open. Supported on Linux >= 3.7.
#   USE_NS                  : enable network namespace support. Supported on Linux >= 2.6.24.
#   USE_DL                  : enable it if your system requires -ldl. Automatic on Linux.
#   USE_MATH                : enable use of -lm. Automatic.
#   USE_RT                  : enable it if your system requires -lrt. Automatic on Linux.
#   USE_BACKTRACE           : enable backtrace(). Automatic on Linux.
#   USE_PROMEX              : enable the Prometheus exporter
#   USE_DEVICEATLAS         : enable DeviceAtlas api.
#   USE_51DEGREES           : enable third party device detection library from 51Degrees
#   USE_WURFL               : enable WURFL detection library from Scientiamobile
#   USE_OBSOLETE_LINKER     : use when the linker fails to emit __start_init/__stop_init
#   USE_THREAD_DUMP         : use the more advanced thread state dump system. Automatic.
#   USE_OT                  : enable the OpenTracing filter
#   USE_MEMORY_PROFILING    : enable the memory profiler. Linux-glibc only.
#   USE_LIBATOMIC           : force to link with/without libatomic. Automatic.
#   USE_PTHREAD_EMULATION   : replace pthread's rwlocks with ours
#   USE_SHM_OPEN            : use shm_open() for features that can make use of shared memory
#   USE_KTLS                : use kTLS.(requires at least Linux 4.17).
#
# Options can be forced by specifying "USE_xxx=1" or can be disabled by using
# "USE_xxx=" (empty string). The list of enabled and disabled options for a
# given TARGET is enumerated at the end of "make help". Most of these options
# support specific xxx_CFLAGS and/or xxx_LDFLAGS that can be individually
# forced. The currently active ones for a given set of options are listed in
# "make opts USE_xxx=1 ...".
#
# Variables useful for packagers :
#   CC is set to "cc" by default and is used for compilation only.
#   LD is set to "cc" by default and is used for linking only.
#   OPT_CFLAGS sets the default optimization level (-O2).
#   CFLAGS may be used to append any flags for the C compiler.
#   LDFLAGS is automatically set to -g and may be overridden.
#   ARCH_FLAGS for flags common to both CC and LD. Defaults to -g.
#   DEP may be cleared to ignore changes to include files during development
#   DEBUG may be used to set some internal debugging options.
#   ERR may be set to non-empty to pass -Werror to the compiler
#   FAILFAST may be set to non-empty to pass -Wfatal-errors to the compiler
#   WARN_CFLAGS overrides the default set of enabled warning options
#   NOWARN_CFLAGS overrides the default set of disabled warning options
#   ADDINC may be used to complete the include path in the form -Ipath.
#   ADDLIB may be used to complete the library list in the form -Lpath -llib.
#   DEFINE may be used to specify any additional define, which will be reported
#          by "haproxy -vv" in CFLAGS.
#   SILENT_DEFINE may be used to specify other defines which will not be
#     reported by "haproxy -vv".
#   EXTRA   is used to force building or not building some extra tools.
#   DESTDIR is not set by default and is used for installation only.
#           It might be useful to set DESTDIR if you want to install haproxy
#           in a sandbox.
#   INSTALL is set to "install" by default and is used to provide the name of
#           the install binary used by the install targets and any additional
#           flags.
#   PREFIX  is set to "/usr/local" by default and is used for installation only.
#   SBINDIR is set to "$(PREFIX)/sbin" by default and is used for installation
#           only.
#   MANDIR  is set to "$(PREFIX)/share/man" by default and is used for
#           installation only.
#   DOCDIR  is set to "$(PREFIX)/doc/haproxy" by default and is used for
#           installation only.
#   HLUA_PREPEND_PATH may be used to prepend a folder to Lua's default package.path.
#   HLUA_PREPEND_CPATH may be used to prepend a folder to Lua's default package.cpath.
#
# Other variables :
#   PCRE_CONFIG    : force the binary path to get pcre config (by default
#                                                              pcre-config)
#   PCREDIR        : force the path to libpcre.
#   PCRE_LIB       : force the lib path to libpcre (defaults to $PCREDIR/lib).
#   PCRE_INC       : force the include path to libpcre ($PCREDIR/inc)
#   PCRE2_CONFIG   : force the binary path to get pcre2 config (by default
#                                                               pcre2-config)
#   SSL_LIB        : force the lib path to libssl/libcrypto
#   SSL_INC        : force the include path to libssl/libcrypto
#   LUA_LIB        : force the lib path to lua
#   LUA_INC        : force the include path to lua
#   LUA_LIB_NAME   : force the lib name (or automatically evaluated, by order of
#                                        priority : lua5.4, lua54, lua5.3, lua53, lua).
#   OT_DEBUG       : compile the OpenTracing filter in debug mode
#   OT_INC         : force the include path to libopentracing-c-wrapper
#   OT_LIB         : force the lib path to libopentracing-c-wrapper
#   OT_RUNPATH     : add RUNPATH for libopentracing-c-wrapper to haproxy executable
#   OT_USE_VARS    : allows the use of variables for the OpenTracing context
#   IGNOREGIT      : ignore GIT commit versions if set.
#   VERSION        : force haproxy version reporting.
#   SUBVERS        : add a sub-version (eg: platform, model, ...).
#   EXTRAVERSION   : local version string to append (e.g. build number etc)
#   VERDATE        : force haproxy's release date.
#   VTEST_PROGRAM  : location of the vtest program to run reg-tests.
#   DEBUG_USE_ABORT: use abort() for program termination, see include/haproxy/bug.h for details

#### Add -Werror when set to non-empty, and make Makefile stop on warnings.
#### It must be declared before includes because it's used there.
ERR =

include include/make/verbose.mk
include include/make/errors.mk
include include/make/compiler.mk
include include/make/options.mk

#### Installation options.
DESTDIR =
INSTALL = install
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
DOCDIR = $(PREFIX)/doc/haproxy

#### TARGET system
# Use TARGET=<target_name> to optimize for a specific target OS among the
# following list (use the default "generic" if uncertain) :
#    linux-glibc, linux-glibc-legacy, linux-musl, solaris, freebsd, freebsd-glibc,
#    dragonfly, openbsd, netbsd, cygwin, haiku, aix51, aix52, aix72-gcc, osx, generic,
#    custom
TARGET =

#### No longer used
CPU =
ifneq ($(CPU),)
ifneq ($(CPU),generic)
$(call $(complain),the "CPU" variable was forced to "$(CPU)" but is no longer \
  used and will be ignored. For native builds, modern compilers generally     \
  prefer that the string "-march=native" is passed in CPU_CFLAGS or CFLAGS.   \
  For other CPU-specific options, please read suggestions in the INSTALL file.)
endif
endif

#### No longer used
ARCH =
ifneq ($(ARCH),)
$(call $(complain),the "ARCH" variable was forced to "$(ARCH)" but is no \
  longer used and will be ignored. Please check the INSTALL file for other \
  options, but usually in order to pass arch-specific options, ARCH_FLAGS, \
  CFLAGS or LDFLAGS are preferred.)
endif

#### Toolchain options.
CC = cc
LD = $(CC)

#### Default optimizations
# Those are integrated early in the list of CFLAGS, and may be overridden by
# other CFLAGS options if needed.
OPT_CFLAGS = -O2

#### No longer used
DEBUG_CFLAGS =
ifneq ($(DEBUG_CFLAGS),)
$(call $(complain),DEBUG_CFLAGS was forced to "$(DEBUG_CFLAGS)" but is no     \
  longer used and will be ignored. If you have ported this build setting from \
  and older version, it is likely that you just want to pass these options    \
  to the CFLAGS variable. If you are passing some debugging-related options   \
  such as -g/-ggdb3/-pg etc, they can now be passed in ARCH_FLAGS at once for \
  both the compilation and linking stages.)
endif

#### May be used to force running a specific set of reg-tests
REG_TEST_FILES =
REG_TEST_SCRIPT=./scripts/run-regtests.sh
UNIT_TEST_SCRIPT=./scripts/run-unittests.sh

#### Standard C definition
# Compiler-specific flags that may be used to set the standard behavior we
# rely on and to disable some negative over-optimization. More specifically,
# we rely on signed integer wraparound on overflow, however recently clang and
# gcc decided to change their code generation regarding this and abuse the
# undefined behavior to silently produce invalid code. For this reason we have
# to use -fwrapv or -fno-strict-overflow to guarantee the intended behavior.
# It is preferable not to change this option in order to avoid breakage.
STD_CFLAGS  := $(call cc-opt-alt,-fwrapv,-fno-strict-overflow)                \
               $(call cc-opt,-fvect-cost-model=very-cheap)

#### Compiler-specific flags to enable certain classes of warnings.
# Some are hard-coded, others are enabled only if supported.

=== debian/changelog ===
haproxy (3.3.4-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 20 Feb 2026 00:01:49 +0100

haproxy (3.3.4-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 Feb 2026 23:58:38 +0100
